#ifndef PROXYFB_H
#define PROXYFB_H

#include <qwidget.h>

class ProxyFB : public QWidget
{
	Q_OBJECT
	
	public:
	ProxyFB(QWidget *parent = 0, const char *name =0);

	protected:
	void mousePressEvent(QMouseEvent *event);
	void mouseReleaseEvent(QMouseEvent *event);
	void mouseMoveEvent(QMouseEvent *event);
	void keyPressEvent(QKeyEvent *event);
	void keyReleaseEvent(QKeyEvent *event);

	void focusInEvent(QFocusEvent *event);
	void focusOutEvent(QFocusEvent *event);

	void paintEvent(QPaintEvent *event);

	public slots:
	void cmd(const QCString &msg, const QByteArray &data);
};

#endif
